Reject envelope recipient on behalf of
POST
/envelope/recipient/{recipientId}/reject
const url = 'https://app.legaldoc.com/api/v2/envelope/recipient/1/reject';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"envelopeId":"example","reason":"example","actAsEmail":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.legaldoc.com/api/v2/envelope/recipient/1/reject \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "envelopeId": "example", "reason": "example", "actAsEmail": "example" }'Records a rejection on behalf of a recipient. Use this when a recipient has declined to sign outside of the platform. The rejection is flagged as external in the document audit log. By default the action is attributed to the API user; supply actAsEmail to attribute it to a specific team member.
Authorizations
Sección titulada «Authorizations»Parameters
Sección titulada «Parameters»Path Parameters
Sección titulada «Path Parameters»recipientId
required
number
The ID of the recipient to reject the document on behalf of.
Request Bodyrequired
Sección titulada «Request Bodyrequired»Media typeapplication/json
object
envelopeId
required
string
reason
required
string
actAsEmail
string
Examplegenerated
{ "envelopeId": "example", "reason": "example", "actAsEmail": "example"}Responses
Sección titulada «Responses»Successful response
Media typeapplication/json
object
envelopeId
required
string
role
required
string
readStatus
required
string
signingStatus
required
string
sendStatus
required
string
id
required
number
email
required
string
name
required
string
token
required
string
documentDeletedAt
required
string | null
expired
required
string | null
expiresAt
required
string | null
expirationNotifiedAt
required
string | null
signedAt
required
string | null
authOptions
required
object
accessAuth
required
Array<string>
actionAuth
required
Array<string>
signingOrder
required
number | null
rejectionReason
required
string | null
fields
required
Array<object>
object
envelopeId
required
string
envelopeItemId
required
string
type
required
string
id
required
number
secondaryId
required
string
recipientId
required
number
page
required
number
positionX
required
positionY
required
width
required
height
required
customText
required
string
inserted
required
boolean
fieldMeta
required
One of:
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
text
string
characterLimit
number
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
numberFormat
string | null
value
string
minValue
number | null
maxValue
number | null
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
validationRule
string
validationLength
number
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
value
required
string
defaultValue
string
documentId
number | null
templateId
number | null
Example
{ "role": "CC", "readStatus": "NOT_OPENED", "signingStatus": "NOT_SIGNED", "sendStatus": "NOT_SENT", "authOptions": { "accessAuth": [ "ACCOUNT" ], "actionAuth": [ "ACCOUNT" ] }, "fields": [ { "type": "SIGNATURE", "fieldMeta": { "fontSize": 12, "overflow": "auto", "type": "signature" } } ]}Invalid input data
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Authorization not provided
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Insufficient access
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Internal server error
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}